Upload a file. Note that the file must always be the last parameter in the request body.
Upload File
post
/api/file-uploads Request
Body multipart/form-data
purposestringrequiredAllowed values:kyc-doc-uploadThe purpose this document is being uploaded for.
accountIdstringrequiredId of the account owning the file upload.
filestring<binary>requiredThe file being uploaded.
Response
File successfully uploaded.
Body application/json
idstringrequiredId of the file.
purposestringrequiredAllowed values:kyc-doc-uploadThe purpose the file is related to.
livenessstringrequiredAllowed values:livetestThe resource liveness mode.
accountIdstringrequiredId of the account owning the file upload.
fileNamestringrequiredName of file.
fileSizenumberrequiredSize of the file in bytes.
mimeTypestringrequiredThe type of file.
statusstringrequiredAllowed values:createddeletingdeletedThe current status of the file upload.
expiresAtstringDate when the file will be considered expired and subsequently deleted.
Subject is not allowed to perform the action with the reason stated in the errorCode.
FILE_TOO_LARGE The uploaded file exceeds the maximum size of 10mb.
FILE_TYPE_INVALID The uploaded file does not match the acceptable MIME types.
Body application/json
statusCodeintegerrequiredstatusNamestringrequirederrorCodestringrequiredreasonstring